Skip to main content
DELETE
/
cloud
/
v2
/
k8s
/
clusters
/
{project_id}
/
{region_id}
/
{cluster_name}
/
pools
/
{pool_name}
/
instances
/
{instance_id}
Delete k8s cluster pool node
curl --request DELETE \
  --url https://api.gcore.com/cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools/{pool_name}/instances/{instance_id} \
  --header 'Authorization: <api-key>'

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

cluster_name
string
required

Cluster name

Example:

"my-cluster"

pool_name
string
required

Pool name

Example:

"my-pool"

instance_id
string
required

Instance ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

204

No Content